=== debian/changelog ===
ros-rolling-rclcpp (15.0.0-1focal) focal; urgency=high

  * Cleanup the TypeAdapt tests (#1858 <https://github.com/ros2/rclcpp/issues/1858>)
  * Cleanup includes (#1857 <https://github.com/ros2/rclcpp/issues/1857>)
  * Fix include order and relative paths for cpplint (#1859 <https://github.com/ros2/rclcpp/issues/1859>)
  * Rename stringstream in macros to a more unique name (#1862 <https://github.com/ros2/rclcpp/issues/1862>)
  * Add non transform capabilities for intra-process (#1849 <https://github.com/ros2/rclcpp/issues/1849>)
  * Fix rclcpp documentation build (#1779 <https://github.com/ros2/rclcpp/issues/1779>)
  * Contributors: Chris Lalancette, Doug Smith, Gonzo, Jacob Perron, Michel Hidalgo

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp (14.1.0-1focal) focal; urgency=high

  * Use UninitializedStaticallyTypedParameterException (#1689 <https://github.com/ros2/rclcpp/issues/1689>)
  * Add wait_for_all_acked support (#1662 <https://github.com/ros2/rclcpp/issues/1662>)
  * Add tests for function templates of declare_parameter (#1747 <https://github.com/ros2/rclcpp/issues/1747>)
  * Contributors: Barry Xu, Bi0T1N, M. Mostafa Farzan

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 05 Jan 2022 08:00:00 -0000

ros-rolling-rclcpp (14.0.0-1focal) focal; urgency=high

  * Fixes for uncrustify 0.72 (#1844 <https://github.com/ros2/rclcpp/issues/1844>)
  * use private member to keep the all reference underneath. (#1845 <https://github.com/ros2/rclcpp/issues/1845>)
  * Make node base sharable (#1832 <https://github.com/ros2/rclcpp/issues/1832>)
  * Add Clock::sleep_for() (#1828 <https://github.com/ros2/rclcpp/issues/1828>)
  * Synchronize rcl and std::chrono steady clocks in Clock::sleep_until (#1830 <https://github.com/ros2/rclcpp/issues/1830>)
  * Use rclcpp::guard_condition (#1612 <https://github.com/ros2/rclcpp/issues/1612>)
  * Call CMake function to generate version header (#1805 <https://github.com/ros2/rclcpp/issues/1805>)
  * Use parantheses around logging macro parameter (#1820 <https://github.com/ros2/rclcpp/issues/1820>)
  * Remove author by request (#1818 <https://github.com/ros2/rclcpp/issues/1818>)
  * Update maintainers (#1817 <https://github.com/ros2/rclcpp/issues/1817>)
  * min_forward & min_backward thresholds must not be disabled (#1815 <https://github.com/ros2/rclcpp/issues/1815>)
  * Re-add Clock::sleep_until (#1814 <https://github.com/ros2/rclcpp/issues/1814>)
  * Fix lifetime of context so it remains alive while its dependent node handles are still in use (#1754 <https://github.com/ros2/rclcpp/issues/1754>)
  * Add the interface for pre-shutdown callback (#1714 <https://github.com/ros2/rclcpp/issues/1714>)
  * Take message ownership from moved LoanedMessage (#1808 <https://github.com/ros2/rclcpp/issues/1808>)
  * Suppress clang dead-store warnings in the benchmarks. (#1802 <https://github.com/ros2/rclcpp/issues/1802>)
  * Wait for publisher and subscription to match (#1777 <https://github.com/ros2/rclcpp/issues/1777>)
  * Fix unused QoS profile for clock subscription and make ClockQoS the default (#1801 <https://github.com/ros2/rclcpp/issues/1801>)
  * Contributors: Abrar Rahman Protyasha, Barry Xu, Chen Lihui, Chris Lalancette, Grey, Jacob Perron, Nikolai Morin, Shane Loretz, Tomoya Fujita, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rclcpp (13.1.0-1focal) focal; urgency=high

  * Fix dangerous std::bind capture in TimeSource implementation. (#1768 <https://github.com/ros2/rclcpp/issues/1768>)
  * Fix dangerous std::bind capture in ParameterEventHandler implementation. (#1770 <https://github.com/ros2/rclcpp/issues/1770>)
  * Handle sigterm, in the same way sigint is being handled. (#1771 <https://github.com/ros2/rclcpp/issues/1771>)
  * rclcpp::Node copy constructor: make copy of node_waitables_ member. (#1799 <https://github.com/ros2/rclcpp/issues/1799>)
  * Extend NodeGraph to match what rcl provides. (#1484 <https://github.com/ros2/rclcpp/issues/1484>)
  * Context::sleep_for(): replace recursion with do-while to avoid potential stack-overflow. (#1765 <https://github.com/ros2/rclcpp/issues/1765>)
  * extend_sub_namespace(): Verify string::empty() before calling string::front(). (#1764 <https://github.com/ros2/rclcpp/issues/1764>)
  * Deprecate the void shared_ptr<MessageT> subscription callback signatures. (#1713 <https://github.com/ros2/rclcpp/issues/1713>)
  * Contributors: Abrar Rahman Protyasha, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, Ivan Santiago Paunovic, Jorge Perez, Tomoya Fujita, William Woodall, Yong-Hao Zou, livanov93

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 18 Oct 2021 07:00:00 -0000

ros-rolling-rclcpp (13.0.0-1focal) focal; urgency=high

  * Remove can_be_nullptr assignment check for QNX case. (#1752 <https://github.com/ros2/rclcpp/issues/1752>)
  * Update client API to be able to remove pending requests. (#1734 <https://github.com/ros2/rclcpp/issues/1734>)
  * Fix: Allow to add a node while spinning in the StaticSingleThreadedExecutor. (#1690 <https://github.com/ros2/rclcpp/issues/1690>)
  * Add tracing instrumentation for executor and message taking. (#1738 <https://github.com/ros2/rclcpp/issues/1738>)
  * Fix: Reset timer trigger time before execute in StaticSingleThreadedExecutor. (#1739 <https://github.com/ros2/rclcpp/issues/1739>)
  * Use FindPython3 and make python3 dependency explicit. (#1745 <https://github.com/ros2/rclcpp/issues/1745>)
  * Use rosidl_get_typesupport_target(). (#1729 <https://github.com/ros2/rclcpp/issues/1729>)
  * Fix returning invalid namespace if sub_namespace is empty. (#1658 <https://github.com/ros2/rclcpp/issues/1658>)
  * Add free function to wait for a subscription message. (#1705 <https://github.com/ros2/rclcpp/issues/1705>)
  * Use rcpputils/scope_exit.hpp and remove rclcpp/scope_exit.hpp. (#1727 <https://github.com/ros2/rclcpp/issues/1727>)

