=== debian/changelog ===
ros-rolling-rclcpp (23.0.0-1jammy) jammy; urgency=high

  * Fix the return type of Rate::period. (#2301 <https://github.com/ros2/rclcpp/issues/2301>)
  * Update API docs links in package READMEs (#2302 <https://github.com/ros2/rclcpp/issues/2302>)
  * Cleanup flaky timers_manager tests. (#2299 <https://github.com/ros2/rclcpp/issues/2299>)
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Fri, 08 Sep 2023 00:00:00 -0000

ros-rolling-rclcpp (22.2.0-1jammy) jammy; urgency=high

  * Topic correct typeadapter deduction (#2294 <https://github.com/ros2/rclcpp/issues/2294>)
  * Fix C++20 allocator construct deprecation (#2292 <https://github.com/ros2/rclcpp/issues/2292>)
  * Make Rate to select the clock to work with (#2123 <https://github.com/ros2/rclcpp/issues/2123>)
  * Correct the position of a comment. (#2290 <https://github.com/ros2/rclcpp/issues/2290>)
  * Remove unnecessary lambda captures in the tests. (#2289 <https://github.com/ros2/rclcpp/issues/2289>)
  * Add rcl_logging_interface as an explicit dependency. (#2284 <https://github.com/ros2/rclcpp/issues/2284>)
  * Revamp list_parameters to be more efficient and easier to read. (#2282 <https://github.com/ros2/rclcpp/issues/2282>)
  * Contributors: AiVerisimilitude, Alexey Merzlyakov, Chen Lihui, Chris Lalancette, Jiaqi Li

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rclcpp (22.1.0-1jammy) jammy; urgency=high

  * Do not crash Executor when send_response fails due to client failure. (#2276 <https://github.com/ros2/rclcpp/issues/2276>)
  * Adding Custom Unknown Type Error (#2272 <https://github.com/ros2/rclcpp/issues/2272>)
  * Add a pimpl inside rclcpp::Node for future distro backports (#2228 <https://github.com/ros2/rclcpp/issues/2228>)
  * Remove an unused variable from the events executor tests. (#2270 <https://github.com/ros2/rclcpp/issues/2270>)
  * Add spin_all shortcut (#2246 <https://github.com/ros2/rclcpp/issues/2246>)
  * Adding Missing Group Exceptions (#2256 <https://github.com/ros2/rclcpp/issues/2256>)
  * Change associated clocks storage to unordered_set (#2257 <https://github.com/ros2/rclcpp/issues/2257>)
  * associated clocks should be protected by mutex. (#2255 <https://github.com/ros2/rclcpp/issues/2255>)
  * Instrument loaned message publication code path (#2240 <https://github.com/ros2/rclcpp/issues/2240>)
  * Contributors: Chris Lalancette, Christophe Bedard, Emerson Knapp, Luca Della Vedova, Lucas Wendland, Tomoya Fujita, Tony Najjar

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rclcpp (22.0.0-1jammy) jammy; urgency=high

  * Implement get_node_type_descriptions_interface for lifecyclenode and add smoke test for it (#2237 <https://github.com/ros2/rclcpp/issues/2237>)
  * Add new node interface TypeDescriptionsInterface to provide GetTypeDescription service (#2224 <https://github.com/ros2/rclcpp/issues/2224>)
  * Move always_false_v to detail namespace (#2232 <https://github.com/ros2/rclcpp/issues/2232>)
  * Revamp the test_subscription.cpp tests. (#2227 <https://github.com/ros2/rclcpp/issues/2227>)
  * warning: comparison of integer expressions of different signedness (#2219 <https://github.com/ros2/rclcpp/issues/2219>)
  * Modifies timers API to select autostart state (#2005 <https://github.com/ros2/rclcpp/issues/2005>)
  * Enable callback group tests for connextdds (#2182 <https://github.com/ros2/rclcpp/issues/2182>)
  * Contributors: Chris Lalancette, Christopher Wecht, Eloy Briceno, Emerson Knapp, Nathan Wiebe Neufeldt, Tomoya Fujita

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Tue, 11 Jul 2023 00:00:00 -0000

ros-rolling-rclcpp (21.3.0-1jammy) jammy; urgency=high

  * Fix up misspellings of "receive". (#2208 <https://github.com/ros2/rclcpp/issues/2208>)
  * Remove flaky stressAddRemoveNode test (#2206 <https://github.com/ros2/rclcpp/issues/2206>)
  * Use TRACETOOLS_ prefix for tracepoint-related macros (#2162 <https://github.com/ros2/rclcpp/issues/2162>)
  * Contributors: Chris Lalancette, Christophe Bedard, Michael Carroll

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rclcpp (21.2.0-1jammy) jammy; urgency=high

  * remove nolint since ament_cpplint updated for the c++17 header (#2198 <https://github.com/ros2/rclcpp/issues/2198>)
  * Feature/available capacity of ipm (#2173 <https://github.com/ros2/rclcpp/issues/2173>)
  * add mutex to protect events_executor current entity collection (#2187 <https://github.com/ros2/rclcpp/issues/2187>)
  * Declare rclcpp callbacks before the rcl entities (#2024 <https://github.com/ros2/rclcpp/issues/2024>)
  * Contributors: Alberto Soragna, Chen Lihui, DensoADAS, mauropasse

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Wed, 07 Jun 2023 00:00:00 -0000

ros-rolling-rclcpp (21.1.1-1jammy) jammy; urgency=high

  * Fix race condition in events-executor (#2177 <https://github.com/ros2/rclcpp/issues/2177>)
  * Add missing stdexcept include (#2186 <https://github.com/ros2/rclcpp/issues/2186>)
  * Fix a format-security warning when building with clang (#2171 <https://github.com/ros2/rclcpp/issues/2171>)
  * Fix delivered message kind (#2175 <https://github.com/ros2/rclcpp/issues/2175>)
  * Contributors: Alberto Soragna, Chris Lalancette, methylDragon, Øystein Sture

 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rclcpp (21.1.0-1jammy) jammy; urgency=high



 -- Ivan Paunovic <ivanpauno@ekumenlabs.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rclcpp (21.0.0-1jammy) jammy; urgency=high

  * Add support for logging service. (#2122 <https://github.com/ros2/rclcpp/issues/2122>)
  * Picking ABI-incompatible executor changes (#2170 <https://github.com/ros2/rclcpp/issues/2170>)
  * add events-executor and timers-manager in rclcpp (#2155 <https://github.com/ros2/rclcpp/issues/2155>)

