=== debian/control ===
Source: ros-rolling-rclcpp
Section: misc
Priority: optional
Maintainer: Ivan Paunovic <ivanpauno@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), python3-dev, ros-rolling-ament-cmake-gen-version-h, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-ament-cmake-google-benchmark <!nocheck>, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-index-cpp, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-builtin-interfaces, ros-rolling-libstatistics-collector, ros-rolling-mimick-vendor <!nocheck>, ros-rolling-performance-test-fixture <!nocheck>, ros-rolling-rcl, ros-rolling-rcl-interfaces, ros-rolling-rcl-logging-interface, ros-rolling-rcl-yaml-param-parser, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rmw <!nocheck>, ros-rolling-rmw-implementation-cmake <!nocheck>, ros-rolling-rosgraph-msgs, ros-rolling-rosidl-default-generators <!nocheck>, ros-rolling-rosidl-dynamic-typesupport, ros-rolling-rosidl-runtime-cpp, ros-rolling-rosidl-typesupport-c, ros-rolling-rosidl-typesupport-cpp, ros-rolling-statistics-msgs, ros-rolling-test-msgs <!nocheck>, ros-rolling-tracetools, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rclcpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-cpp, ros-rolling-builtin-interfaces, ros-rolling-libstatistics-collector, ros-rolling-rcl, ros-rolling-rcl-interfaces, ros-rolling-rcl-logging-interface, ros-rolling-rcl-yaml-param-parser, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-rmw, ros-rolling-rosgraph-msgs, ros-rolling-rosidl-dynamic-typesupport, ros-rolling-rosidl-runtime-cpp, ros-rolling-rosidl-typesupport-c, ros-rolling-rosidl-typesupport-cpp, ros-rolling-statistics-msgs, ros-rolling-tracetools, ros-rolling-ros-workspace
Description: The ROS client library in C++.
